<!DOCTYPE html>
<html>
<meta charset="UTF-8">
<meta lang="bg">
<title>ЗигЗаг наГоре</title>
<link rel="icon" type="image/png" href="zigzagup.png">
<link rel="stylesheet" href="zigzagup.css">
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha256-4+XzXVhsDmqanXGHaHvgh1gMQKX40OUvDEBTu8JcmNs=" crossorigin="anonymous"></script>
<script src="../zigzagup.js"></script>

<body>
    <form>
        <table width="100%">
            <tr>
                <td width="10%" style="text-align: left">
                    <a href=".." title="Език">International</a>
                </td>
                <td width="20%" style="text-align: center">
                    <button type="reset" title="Поставяне на описанието на ЗигЗаг наГоре в полето за въвеждане">Текст по подразбиране</button>
                </td>
                <td width="20%" style="text-align: right">
                    <button type="button" title="Довеждане на въведения текст от далечина към близост" onclick="switchVisibility('still', 'scroll'); zigzagup('#scroll'); runAnimation('scroll')">
                        <b>Зигзаг в перспектива</b>
                    </button>
                </td>
                <td width="21%" style="text-align: left">
                    <button type="button" title="Изписване на въведения текст" autofocus="true" onclick="switchVisibility('scroll', 'still'); zigzagup('#still')">
                        <b>Зигзаг от долу нагоре</b>
                    </button>
                </td>
                <td width="20%" style="text-align: center">
                    <button type="button" title="Изчистване на полето за въвеждане" onclick="document.getElementById('input').value=''">Махане на въведеното</button>
                </td>
                <td width="9%" style="text-align: right">
                    <a href="../about/bg" title="Информация за този проект">Относно</a>
                </td>
            </tr>
        </table>
        <br>
        <textarea id="input" title="Текст за изписване" cols="120" rows="5">Зигзагообразно писане и четене от долу нагоре: Текстът започва от долу или от близкия край, и редовете му вървят нагоре или напред, както се изкачва стълба или се върви по път. Всеки нов ред продължава от същата страна, на която е свършил предходният му – дясна или лява – и се изписва в обратната посока – наляво или съответно надясно, като буквите се обръщат огледално по вертикала. По този начин текстът тече плавно както логически, така и графично. Посоката на внимание у човек, който чете зигзагообразно написан текст, се редува, както стъпките му, когато върви – ту лява, ту дясна.</textarea>
    </form>
    <br>
    <div class="output">
        <p id="still" />
        <div class="perspective">
            <p id="scroll" />
        </div>
    </div>
</body>

</html>
